<mat-card>
  <mat-card-header class="card-header">
    <mat-card-title i18n>Members</mat-card-title>
    <mat-form-field
      *ngIf="(userTeamRole$ | async) !== 'member'"
      appearance="outline"
      data-cy=team-member-select
    >
      <mat-label i18n>Add Member</mat-label>
      <mat-select (selectionChange)="addTeamMember()" [formControl]="member">
        <ng-container
          *ngIf="(filteredAddTeamMembers$ | async)?.length; else emptyState"
        >
          <mat-option
            *ngFor="let orgMember of filteredAddTeamMembers$ | async"
            [value]="orgMember"
          >
            {{ orgMember.email }}
          </mat-option></ng-container
        ><ng-template #emptyState>
          <mat-option disabled i18n>No members</mat-option>
        </ng-template>
      </mat-select>
      <mat-error *ngIf="addMemberError">{{ addMemberError }}</mat-error>
    </mat-form-field>
  </mat-card-header>
  <mat-divider></mat-divider>
  <mat-card-content>
    <ng-container
      *ngIf="(teamMembers$ | async)?.length === 0; else listMembers"
    >
      <p class="center-text" i18n>This team doesn't have any members</p>
    </ng-container>
    <ng-template #listMembers>
      <ul data-test-list class="member-list">
        <mat-error *ngIf="removeMemberError" class="center-text">{{
          removeMemberError
        }}</mat-error>
        <li
          *ngFor="let teamMember of teamMembers$ | async"
          class="member-list-item"
        >
          <a
            mat-line
            [routerLink]="['../', 'members', teamMember.id]"
            [relativeTo]="route.parent?.parent"
            >{{ teamMember.email }}</a
          >
          <gt-loading-button
            buttonText="Remove"
            buttonStyle="stroked"
            [loading]="selectedTeamMember === teamMember.id"
            (click)="removeTeamMember(teamMember.id, teamMember.email)"
            id="remove-team-member"
          ></gt-loading-button>
        </li> </ul
    ></ng-template>
  </mat-card-content>
</mat-card>
